## org.gnu.pango
Class EllipsizeMode

    java.lang.Object
      org.gnu.glib.Enum
          org.gnu.pango.EllipsizeMode

public class EllipsizeMode
extends org.gnu.glib.Enum

Type describing what sort of (if any) ellipsization should be applied to a line of text. In the ellipsization process characters are removed from the text in order to make it fit to a given width and replaced with an ellipsis.

Field Summary
`static EllipsizeMode` `END` Omit characters at the end of the text.
`static EllipsizeMode` `MIDDLE` Omit characters in the middle of the text.
`static EllipsizeMode` `NONE` No ellipsization.
`static EllipsizeMode` `START` Omit characters at the start of the text.

Method Summary
`static EllipsizeMode` `intern(int value)` Get an EllipsizeMode instance from the given value.

Methods inherited from class org.gnu.glib.Enum
`equals, getValue, hashCode`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NONE

    public static final EllipsizeMode NONE

  No ellipsization.

### START

    public static final EllipsizeMode START

  Omit characters at the start of the text.

### MIDDLE

    public static final EllipsizeMode MIDDLE

  Omit characters in the middle of the text.

### END

    public static final EllipsizeMode END

  Omit characters at the end of the text.

Method Detail

### intern

    public static EllipsizeMode intern(int value)

  Get an EllipsizeMode instance from the given value. For internal use only!